Bug 316121 - Charge time and running time figures inaccurate
Charge time and running time figures inaccurate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 16:56 EDT by Adam Huffman
Modified: 2013-03-05 22:52 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:17:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Camera phone image of tooltip with incorrect time figures (306.35 KB, image/jpeg)
2007-10-02 18:24 EDT, Adam Huffman
no flags Details
Output of lshal (122.19 KB, text/plain)
2007-10-03 17:33 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2007-10-02 16:56:38 EDT
Description of problem:
The figures shown in the tooltip by the gnome-power-manager applet for battery
charge time and running time are not very accurate on this Vaio SZ.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.20.0-1.fc8

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I shall attach a screenshot when I can get Bluetooth working...
Comment 1 Adam Huffman 2007-10-02 18:24:19 EDT
Created attachment 214121 [details]
Camera phone image of tooltip with incorrect time figures
Comment 2 David Zeuthen 2007-10-03 13:33:51 EDT
Wow, lucky you, I'd kill to have a battery with ~50 years of capacity left :-).
Anyway, you're right it's probably a bug; adding the upstream maintainer to Cc.

Please attach output of lshal.

Random question: is this on a fresh install? If so, try draining the battery
completely, then reboot and see if you can reproduce. My theory is some of the
wacky (and IMO harmful) guesstimation code in g-p-m is triggering wrong.
Comment 3 Richard Hughes 2007-10-03 13:45:32 EDT
David, I think there is a x86_64 specific bug - I got a novell bug also about
this. Can one of the guys try a "make check" in a g-p-m source tree on a 64 bit
system please. Thanks.
Comment 4 David Zeuthen 2007-10-03 15:21:43 EDT
Mmm... if that's the case maybe we should run 'make check' in %build in the spec
file. I'll try it on my x86_64 box at home tonight.
Comment 5 Adam Huffman 2007-10-03 17:32:38 EDT
Yes, it's a fresh install, though $HOME has been retained from previous
incarnations.
Comment 6 Adam Huffman 2007-10-03 17:33:42 EDT
Created attachment 215141 [details]
Output of lshal
Comment 7 Adam Huffman 2007-10-04 18:14:31 EDT
I tried running the battery down completely but the laptop shut itself down when
the power applet claimed 6% was still remaining.

Now I've rebooted with AC power, the time until charged figure is still spurious.
Comment 8 Bug Zapper 2008-04-04 09:58:27 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-11-26 02:53:54 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-01-09 02:17:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.